# H460_FeatureNonStd Class Reference

`#include <h4601.h>`

Inheritance diagram for H460_FeatureNonStd:

[legend]
Collaboration diagram for H460_FeatureNonStd:
[legend]

## Public Member Functions

H460_FeatureParameter & | operator[] (PString id) const
H460_FeatureParameter & | operator[] (PString id)
Construction
| H460_FeatureNonStd (PString Identifier)
Parameter Control
H460_FeatureParameter & | Add (const PString id, const H460_FeatureContent &con)
void | Remove (const PString &id)
void | Replace (const PString &id, const H460_FeatureContent &con)
PBoolean | HasParameter (PString id)

## Constructor & Destructor Documentation

H460_FeatureNonStd::H460_FeatureNonStd | ( | PString | Identifier | ) |

Create a new handler for a Standard H460 Feature.

## Member Function Documentation

H460_FeatureParameter& H460_FeatureNonStd::Add | ( | const PString | id,
|  | const H460_FeatureContent & | con |
| ) |  |  |

Add item

PBoolean H460_FeatureNonStd::HasParameter | ( | PString | id | ) |

Has Parameter

H460_FeatureParameter& H460_FeatureNonStd::operator[] | ( | PString | id | ) |

Operator

Parameters:

  id | * Index position in the collection of the object.

H460_FeatureParameter& H460_FeatureNonStd::operator[] | ( | PString | id | ) | const`[inline]`

Operator

Parameters:

  id | * Index position in the collection of the object.

void H460_FeatureNonStd::Remove | ( | const PString & | id | ) |

Delete item

void H460_FeatureNonStd::Replace | ( | const PString & | id,
|  | const H460_FeatureContent & | con |
| ) |  |  |

Replace item

The documentation for this class was generated from the following file:

- h4601.h